
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.api.coupon.vo.CouponDataVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 余额充值级别表VO
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
public class UserRechargeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值id")
    private Long rechargeId;

    @Schema(description = "充值余额标题")
    private String rechargeTitle;

    @Schema(description = "充值金额")
    private Long rechargeAmount;

    @Schema(description = "背景图片")
    private String img;

    @Schema(description = "赠送金额")
    private Long presAmount;

    @Schema(description = "赠送积分")
    private Long presScore;

    @Schema(description = "赠送成长值")
    private Integer presGrowth;

    @Schema(description = "顺序")
    private Integer seq;

    @Schema(description = "优惠券信息")
    private List<CouponDataVO> couponList;

    @Schema(description = "赠送优惠券的总数量")
    private Integer couponTotalNum;

    public Long getRechargeId() {
        return rechargeId;
    }

    public void setRechargeId(Long rechargeId) {
        this.rechargeId = rechargeId;
    }

    public String getRechargeTitle() {
        return rechargeTitle;
    }

    public void setRechargeTitle(String rechargeTitle) {
        this.rechargeTitle = rechargeTitle;
    }

    public Long getRechargeAmount() {
        return rechargeAmount;
    }

    public void setRechargeAmount(Long rechargeAmount) {
        this.rechargeAmount = rechargeAmount;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public Long getPresAmount() {
        return presAmount;
    }

    public void setPresAmount(Long presAmount) {
        this.presAmount = presAmount;
    }

    public Long getPresScore() {
        return presScore;
    }

    public void setPresScore(Long presScore) {
        this.presScore = presScore;
    }

    public Integer getPresGrowth() {
        return presGrowth;
    }

    public void setPresGrowth(Integer presGrowth) {
        this.presGrowth = presGrowth;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public List<CouponDataVO> getCouponList() {
        return couponList;
    }

    public void setCouponList(List<CouponDataVO> couponList) {
        this.couponList = couponList;
    }

    public Integer getCouponTotalNum() {
        return couponTotalNum;
    }

    public void setCouponTotalNum(Integer couponTotalNum) {
        this.couponTotalNum = couponTotalNum;
    }

    @Override
    public String toString() {
        return "UserRechargeVO{" +
                "createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", rechargeId=" + rechargeId +
                ", rechargeTitle='" + rechargeTitle + '\'' +
                ", rechargeAmount=" + rechargeAmount +
                ", img='" + img + '\'' +
                ", presAmount=" + presAmount +
                ", presScore=" + presScore +
                ", presGrowth=" + presGrowth +
                ", seq=" + seq +
                ", couponList=" + couponList +
                ", couponTotalNum=" + couponTotalNum +
                '}';
    }
}
